org.springframework.r2dbc.connection.init

## Class ScriptException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.r2dbc.connection.init.ScriptException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CannotReadScriptException, ScriptParseException, ScriptStatementFailedException, UncategorizedScriptException

      public abstract class ScriptException
      extends DataAccessException

  Root of the hierarchy of data access exceptions that are related to processing of SQL scripts.
  Since:
    5.3
  Author:
    Sam Brannen, Mark Paluch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptException(String message)` Create a new `ScriptException`.
    `ScriptException(String message, Throwable cause)` Create a new `ScriptException`.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptException

          public ScriptException(String message)

      Create a new `ScriptException`.
      Parameters:
        `message` - the detail message

    - #### ScriptException

          public ScriptException(String message,
                                 @Nullable
                                 Throwable cause)

      Create a new `ScriptException`.
      Parameters:
        `message` - the detail message
        `cause` - the root cause